%define	module	Pod-POM
%define	name	perl-%{module}
%define	version	0.18
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	POD Object Model
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Pod/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module implements a parser to convert Pod documents into a simple object
model form known hereafter as the Pod Object Model. The object model is
generated as a hierarchical tree of nodes, each of which represents a different
element of the original document. The tree can be walked manually and the nodes
examined, printed or otherwise manipulated. In addition, Pod::POM supports and
provides view objects which can automatically traverse the tree, or section
thereof, and generate an output representation in one form or another.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%{makeinstall_std}

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README TODO
%{_bindir}/*
%{perl_vendorlib}/Pod
%{_mandir}/*/*




%changelog
* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2009.1
+ Revision: 354175
- update to new version 0.18

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.17-6mdv2009.0
+ Revision: 223999
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.17-5mdv2008.1
+ Revision: 180532
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-4mdv2007.0
+ Revision: 134335
- rebuild
- Import perl-Pod-POM

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-3mdk
- spec cleanup
- fix directory ownership
- %%mkrel
- better summary, description and url
- rpmbuildupdate aware
- enable test

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.17-2mdk
- rebuild for new perl

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.17-1mdk
- 0.17

